/// <reference types="jest" />
import { AccessControlListApi } from './access-control-list-api';
import { AccessControlList, IpRange, AddAccessControlListToTrunkRequestData, AddIpRangeToAccessControlListRequestData, CreateAccessControlListRequestData, DeleteAccessControlListRequestData, DeleteAccessControlListFromTrunkRequestData, DeleteIpRangeFromAccessControlListRequestData, ListAccessControlListRequestData, ListAccessControlListsForTrunkRequestData, ListIpRangesForAccessControlListRequestData, UpdateAccessControlListRequestData, UpdateIpRangeFromAccessControlListRequestData, AddAccessControlListToTrunk, GetAccessControlListRequestData } from '../../../models';
import { ApiListPromise } from '@sinch/sdk-client';
export declare class AccessControlListApiFixture implements Partial<Readonly<AccessControlListApi>> {
    /**
     * Fixture associated to function addToTrunk
     */
    addToTrunk: jest.Mock<Promise<AddAccessControlListToTrunk>, [AddAccessControlListToTrunkRequestData]>;
    /**
     * Fixture associated to function listForTrunk
     */
    listForTrunk: jest.Mock<ApiListPromise<string>, [ListAccessControlListsForTrunkRequestData]>;
    /**
     * Fixture associated to function deleteFromTrunk
     */
    deleteFromTrunk: jest.Mock<Promise<void>, [DeleteAccessControlListFromTrunkRequestData]>;
    /**
     * Fixture associated to function addIpRange
     */
    addIpRange: jest.Mock<Promise<IpRange>, [AddIpRangeToAccessControlListRequestData]>;
    /**
     * Fixture associated to function create
     */
    create: jest.Mock<Promise<AccessControlList>, [CreateAccessControlListRequestData]>;
    /**
     * Fixture associated to function get
     */
    get: jest.Mock<Promise<AccessControlList>, [GetAccessControlListRequestData]>;
    /**
     * Fixture associated to function delete
     */
    delete: jest.Mock<Promise<void>, [DeleteAccessControlListRequestData]>;
    /**
     * Fixture associated to function deleteIpRange
     */
    deleteIpRange: jest.Mock<Promise<void>, [DeleteIpRangeFromAccessControlListRequestData]>;
    /**
     * Fixture associated to function list
     */
    list: jest.Mock<ApiListPromise<AccessControlList>, [ListAccessControlListRequestData]>;
    /**
     * Fixture associated to function listIpRanges
     */
    listIpRanges: jest.Mock<ApiListPromise<IpRange>, [ListIpRangesForAccessControlListRequestData]>;
    /**
     * Fixture associated to function update
     */
    update: jest.Mock<Promise<AccessControlList>, [UpdateAccessControlListRequestData]>;
    /**
     * Fixture associated to function updateIpRange
     */
    updateIpRange: jest.Mock<Promise<IpRange>, [UpdateIpRangeFromAccessControlListRequestData]>;
}
