import { Call, FindCallsRequestData } from '../../../models';
import { SinchClientParameters, ApiListPromise } from '@sinch/sdk-client';
import { ElasticSipTrunkingDomainApi } from '../elastic-sip-trunking-domain-api';
export declare class CallsHistoryApi extends ElasticSipTrunkingDomainApi {
    /**
     * Initialize your interface
     *
     * @param {SinchClientParameters} sinchClientParameters - The parameters used to initialize the API Client.
     */
    constructor(sinchClientParameters: SinchClientParameters);
    /**
     * Find calls by query parameters.
     * @param { FindCallsRequestData } data - The data to provide to the API call.
     * @return { ApiListPromise<Call> }
     */
    find(data: FindCallsRequestData): ApiListPromise<Call>;
}
