import { CountryPermission, ListCountryPermissionsResponse, GetCountryPermissionRequestData, ListCountryPermissionsRequestData, UpdateCountryPermissionRequestData } from '../../../models';
import { SinchClientParameters } from '@sinch/sdk-client';
import { ElasticSipTrunkingDomainApi } from '../elastic-sip-trunking-domain-api';
export declare class CountryPermissionsApi extends ElasticSipTrunkingDomainApi {
    /**
     * Initialize your interface
     *
     * @param {SinchClientParameters} sinchClientParameters - The parameters used to initialize the API Client.
     */
    constructor(sinchClientParameters: SinchClientParameters);
    /**
     * Fetch country permission
     * Fetches the requested country permission.
     * @param { GetCountryPermissionRequestData } data - The data to provide to the API call.
     */
    get(data: GetCountryPermissionRequestData): Promise<CountryPermission>;
    /**
     * Fetch all country permissions
     * Fetches the list of country permissions.
     * @param { ListCountryPermissionsRequestData } data - The data to provide to the API call.
     */
    list(data: ListCountryPermissionsRequestData): Promise<ListCountryPermissionsResponse>;
    /**
     * Update country permission
     * Update the requested country permission.
     * @param { UpdateCountryPermissionRequestData } data - The data to provide to the API call.
     */
    update(data: UpdateCountryPermissionRequestData): Promise<CountryPermission>;
}
