/// <reference types="jest" />
import { CountryPermissionsApi } from './country-permissions-api';
import { CountryPermission, GetCountryPermissionRequestData, ListCountryPermissionsRequestData, ListCountryPermissionsResponse, UpdateCountryPermissionRequestData } from '../../../models';
export declare class CountryPermissionsApiFixture implements Partial<Readonly<CountryPermissionsApi>> {
    /**
     * Fixture associated to function getCountryPermission
     */
    get: jest.Mock<Promise<CountryPermission>, [GetCountryPermissionRequestData]>;
    /**
     * Fixture associated to function getCountryPermissions
     */
    list: jest.Mock<Promise<ListCountryPermissionsResponse>, [
        ListCountryPermissionsRequestData
    ]>;
    /**
     * Fixture associated to function updateCountryPermission
     */
    update: jest.Mock<Promise<CountryPermission>, [
        UpdateCountryPermissionRequestData
    ]>;
}
