import { SinchClientParameters } from '@sinch/sdk-client';
import { SipTrunksApi } from './sip-trunks';
import { AccessControlListApi } from './access-control-list';
import { SipEndpointsApi } from './sip-endpoints';
import { CountryPermissionsApi } from './country-permissions';
import { CallsHistoryApi } from './calls-history';
export declare class ElasticSipTrunkingService {
    readonly sipTrunks: SipTrunksApi;
    readonly sipEndpoints: SipEndpointsApi;
    readonly accessControlList: AccessControlListApi;
    readonly countryPermissions: CountryPermissionsApi;
    readonly calls: CallsHistoryApi;
    constructor(params: SinchClientParameters);
    /**
     * Update the default hostname for each API
     *
     * @param {string} hostname - The new hostname to use for all the APIs.
     */
    setHostname(hostname: string): void;
}
