/// <reference types="jest" />
import { SipEndpointsApi } from './sip-endpoints-api';
import { SipEndpoint, CreateSipEndpointRequestData, DeleteSipEndpointRequestData, ListSipEndpointsRequestData, GetSipEndpointByIdRequestData, UpdateSipEndpointRequestData } from '../../../models';
import { ApiListPromise } from '@sinch/sdk-client';
export declare class SipEndpointsApiFixture implements Partial<Readonly<SipEndpointsApi>> {
    /**
     * Fixture associated to function create
     */
    create: jest.Mock<Promise<SipEndpoint>, [CreateSipEndpointRequestData]>;
    /**
     * Fixture associated to function delete
     */
    delete: jest.Mock<Promise<void>, [DeleteSipEndpointRequestData]>;
    /**
     * Fixture associated to function list
     */
    list: jest.Mock<ApiListPromise<SipEndpoint>, [ListSipEndpointsRequestData]>;
    /**
     * Fixture associated to function get
     */
    get: jest.Mock<Promise<SipEndpoint>, [GetSipEndpointByIdRequestData]>;
    /**
     * Fixture associated to function update
     */
    update: jest.Mock<Promise<SipEndpoint>, [UpdateSipEndpointRequestData]>;
}
