/// <reference types="jest" />
import { SipTrunksApi } from './sip-trunks-api';
import { AddAccessControlListToTrunk, SipTrunk, AddAccessControlListToTrunkRequestData, CreateSipTrunkRequestData, DeleteAccessControlListFromTrunkRequestData, DeleteSipTrunkRequestData, ListAccessControlListsForTrunkRequestData, GetSipTrunkRequestData, ListSipTrunksRequestData, UpdateSipTrunkRequestData } from '../../../models';
import { ApiListPromise } from '@sinch/sdk-client';
export declare class SipTrunksApiFixture implements Partial<Readonly<SipTrunksApi>> {
    /**
     * Fixture associated to function addAccessControlList
     */
    addAccessControlList: jest.Mock<Promise<AddAccessControlListToTrunk>, [
        AddAccessControlListToTrunkRequestData
    ]>;
    /**
     * Fixture associated to function create
     */
    create: jest.Mock<Promise<SipTrunk>, [CreateSipTrunkRequestData]>;
    /**
     * Fixture associated to function deleteAccessControlListFromTrunk
     */
    deleteAccessControlList: jest.Mock<Promise<void>, [DeleteAccessControlListFromTrunkRequestData]>;
    /**
     * Fixture associated to function deleteSipTrunk
     */
    delete: jest.Mock<Promise<void>, [DeleteSipTrunkRequestData]>;
    /**
     * Fixture associated to function getAccessControlListsForTrunk
     */
    listAccessControlLists: jest.Mock<ApiListPromise<string>, [
        ListAccessControlListsForTrunkRequestData
    ]>;
    /**
     * Fixture associated to function getSipTrunkById
     */
    get: jest.Mock<Promise<SipTrunk>, [GetSipTrunkRequestData]>;
    /**
     * Fixture associated to function getSipTrunks
     */
    list: jest.Mock<ApiListPromise<SipTrunk>, [ListSipTrunksRequestData]>;
    /**
     * Fixture associated to function updateSipTrunk
     */
    update: jest.Mock<Promise<SipTrunk>, [UpdateSipTrunkRequestData]>;
}
